Name:          bickley
Version:       0.4.5
Release:       2%{?dist}
Summary:       A meta data management API and framework

Group:         Applications/Multimedia
License:       LGPLv2+
URL:           http://moblin.org/projects/bickley
Source0:       http://git.moblin.org/cgit.cgi/%{name}/snapshot/%{name}-%{version}.tar.gz
Patch0:        bickley-fixppc2.patch
Patch1:        bickley-fixdso.patch
Patch2:        bickley-arm.patch
BuildRoot:     {_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: clutter-gst-devel
BuildRequires: clutter-gtk-devel
BuildRequires: dbus-glib-devel
BuildRequires: GConf2-devel
BuildRequires: gupnp-devel
BuildRequires: gupnp-av-devel
BuildRequires: libexif-devel
BuildRequires: libtdb-devel
BuildRequires: libogg-devel
BuildRequires: libvorbis-devel
BuildRequires: flac-devel
BuildRequires: libid3tag-devel
BuildRequires: python

# Require these because the git tarball doesn't have the configure built
BuildRequires: libtool

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

Requires: dbus

%description
Bickley is a meta data management API and framework. The core API allows 
storing and querying of URIs and associating key/value pairs. The core bickley
API in the libbickley library provides shared access to common meta-data
storage. Different processes can access and manipulate the same set of URIs and
meta data about them in parallel.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Files for development with %{name}.

%prep
%setup -q
%patch0 -p1 -b .fixppc2
%patch1 -p1 -b .fixdso
%patch2 -p1 -b .arm

%build
%configure --disable-static

# Remove rpath as per https://fedoraproject.org/wiki/Packaging/Guidelines#Beware_of_Rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=%{buildroot} INSTALL='install -p'

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%pre
if [ "$1" -gt 1 ] ; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
%{_sysconfdir}/gconf/schemas/bkl-orbiter.schemas >/dev/null || :
fi

%preun
if [ "$1" -eq 0 ] ; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
%{_sysconfdir}/gconf/schemas/bkl-orbiter.schemas > /dev/null || :
fi

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
%{_sysconfdir}/gconf/schemas/bkl-orbiter.schemas > /dev/null || :

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING.LIB README
%{_sysconfdir}/gconf/schemas/bkl-orbiter.schemas
%{_bindir}/bkl-orbiter
%{_bindir}/bkl-client-test
%{_bindir}/bkl-rename-user
%{_bindir}/bkl-source-test
%{_libdir}/libbickley-0.4.so.0.0.0
%{_libdir}/libbickley-0.4.so.0
%{_libdir}/libkozo.so.0.0.0
%{_libdir}/libkozo.so.0
%{_libexecdir}/bkl-investigator
%{_datadir}/dbus-1/services/org.moblin.Bickley.Investigator.service
%{_datadir}/dbus-1/services/org.moblin.Bickley.Orbiter.service

%files devel
%defattr(-,root,root,-)
%{_includedir}/bickley-0.4
%{_includedir}/kozo
%{_libdir}/pkgconfig/bickley-0.4.pc
%{_libdir}/libbickley-0.4.so
%{_libdir}/libkozo.so

%changelog
* Mon Jun 28 2010 Peter Robinson <pbrobinson@gmail.com> 0.4.5-1
- Actually upload the new tar file

* Mon Jun 28 2010 Peter Robinson <pbrobinson@gmail.com> 0.4.5-1
- New upstream 0.4.5 release

* Mon Nov 15 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.4-2
- Add patch so we don't run when GNOME starts as its not yet used there

* Fri Nov 13 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.4-1
- New upstream 0.4.4 release

* Fri Sep 18 2009 Bastien Nocera <bnocera@redhat.com> 0.4.3-10
- Update gupnp 0.13 patch

* Fri Sep 18 2009 Bastien Nocera <bnocera@redhat.com> 0.4.3-9
- Port to gupnp 0.13

* Wed Sep  9 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.3-8
- Include the correct updated patch

* Tue Sep  8 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.3-7
- Updated PPC patch

* Mon Aug 31 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.3-6
- Package review updates

* Fri Aug 14 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.3-5
- License clarification from upstream
- A few other package cleanups

* Fri Aug  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.3-4
- Package review updates

* Fri Aug  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.3-3
- Further updates

* Thu Aug  6 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.3-2
- Package updates and cleanups

* Sun Jul 26 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.3-1
- New upstream 0.4.3 release

* Thu Jun 18 2009 Peter Robinson <pbrobinson@gmail.com> 0.2.0-2
- Add patch to fix build on PPC

* Thu Jun 18 2009 Peter Robinson <pbrobinson@gmail.com> 0.2.0-1
- Initial packaging
